<?php
/**
 * @package eroshik savp theme
 *
 *
 */
 if ( ! function_exists( 'eroshik_savp_cr' ) ) {
   function eroshik_savp_cr($wp_customize){

     //blog sidebar
     $wp_customize->add_section('blog_sidebar',array(
       'title'              => __('Blog Sidebar', 'eroshiksavp'),
       'description'        => __('Options for blog page sidebar','eroshiksavp'),
       'priority'     => 130
     ));

     $wp_customize->add_setting('first_name', array(
        'default'            => __('John','eroshiksavp'),
        'type'               =>  'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback'  => 'eroshik_savp_sanitize_texts'
     ));

     $wp_customize->add_control('first_name',array(
        'label'       => __('First Name', 'eroshiksavp'),
        'section'     => 'blog_sidebar',
        'priority'    => 2
     ));


     $wp_customize->add_setting('last_name', array(
        'default'            => __('Doe','eroshiksavp'),
        'type'               =>  'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback'  => 'eroshik_savp_sanitize_texts'
     ));

     $wp_customize->add_control('last_name',array(
        'label'       => __('Last Name', 'eroshiksavp'),
        'section'     => 'blog_sidebar',
        'priority'    => 3
     ));


     $wp_customize->add_setting('user_description', array(
        'default'             => __('Something great about you','eroshiksavp'),
        'type'                =>  'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback'  => 'eroshik_savp_sanitize_texts'
     ));

     $wp_customize->add_control('user_description',array(
        'label'       => __('About You', 'eroshiksavp'),
        'section'     => 'blog_sidebar',
        'priority'    => 4
     ));

     $wp_customize->add_setting('user_profile_picture', array(
        'default'            =>  esc_url(get_template_directory_uri()  .'/images/avatar.png'),
        'type'               =>  'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback'  => 'eroshik_savp_sanitize_texts'
     ));

     $wp_customize->add_control(new  WP_Customize_Image_Control($wp_customize, 'user_profile_picture', array(
       'label'       => __('User Image', 'eroshiksavp'),
       'section'     => 'blog_sidebar',
       'settings'   =>'user_profile_picture',
       'priority'    => 1
     )));
     //end of blog sidebar




     //page sidebar
     $wp_customize->add_section('page_sidebar',array(
       'title'              => __('Page Sidebar', 'eroshiksavp'),
       'description'        => __('Options for theme pages sidebar','eroshiksavp'),
       'priority'           => 131
     ));


     $wp_customize->add_setting('sidebar_visibility', array(
        'type'               =>  'theme_mod',
        'default'            =>  false,
        'capability'         => 'edit_theme_options',
        'sanitize_callback'  => 'eroshiksavp_sanitize_checkbox'
     ));

     $wp_customize->add_control('sidebar_visibility',array(
        'label'       => __('Sidebar visibility', 'eroshiksavp'),
        'type'        => 'checkbox',
        'section'     => 'page_sidebar',
        'priority'    => 1
     ));



     $wp_customize->add_setting('sidebar_align', array(
        'type'               =>  'theme_mod',
        'default'            =>  'r',
        'capability'         => 'edit_theme_options',
        'sanitize_callback'  => 'eroshiksavp_sanitize_radio'
     ));

     $wp_customize->add_control('sidebar_align',array(
        'label'       => __('Sidebar alignment', 'eroshiksavp'),
        'type'        => 'radio',
        'section'     => 'page_sidebar',
        'priority'    => 2,
        'choices'     => array('l'=>__('Left','eroshiksavp'),'r'=>__('Right','eroshiksavp'))
     ));


     $wp_customize->add_setting('sidebar_visibility_on_home', array(
        'type'               =>  'theme_mod',
        'default'            =>  false,
        'capability'         => 'edit_theme_options',
        'sanitize_callback'  => 'eroshiksavp_sanitize_checkbox'
     ));

     $wp_customize->add_control('sidebar_visibility_on_home',array(
        'label'       => __('Sidebar visibilitly on home page', 'eroshiksavp'),
        'type'        => 'checkbox',
        'section'     => 'page_sidebar',
        'priority'    => 3
     ));


     $wp_customize->add_setting('sidebar_bg', array(
       'type'               =>  'theme_mod',
       'default'            =>  '#FFFFFF',
        'sanitize_callback'  => 'eroshiksavp_sanitize_hex_color'
     ));

     $wp_customize->add_control(
         new WP_Customize_Color_Control( $wp_customize, 'sidebar_bg',
         array(
           'label' => __( 'Sidebar background', 'eroshiksavp' ),
           'description' => __( 'Select a color','eroshiksavp'),
           'section' => 'page_sidebar',
           'priority'    => 4
      )));
     //page sidebar ends


     //showcase Options
     $wp_customize->add_section('showcase',array(
       'title'              => __('Showcase', 'eroshiksavp'),
       'description'        => __('Options for showcase','eroshiksavp'),
       'priority'           => 132
     ));


     $wp_customize->add_setting('showcase_background', array(
       'type'               =>  'theme_mod',
       'default'            =>  '#FFF',
       'sanitize_callback'  => 'eroshiksavp_sanitize_hex_color'
     ));

     $wp_customize->add_control(
         new WP_Customize_Color_Control( $wp_customize, 'showcase_background',
         array(
           'label' => __( 'Showcase background', 'eroshiksavp' ),
           'description' => __( 'Select a color','eroshiksavp'),
           'section' => 'showcase',
           'priority'    => 1
      )));


      $wp_customize->add_setting('showcase_logo', array(
         'type'               =>  'theme_mod',
         'capability' => 'edit_theme_options',
         'sanitize_callback'  => 'eroshik_savp_sanitize_texts'
      ));

      $wp_customize->add_control(new  WP_Customize_Image_Control($wp_customize, 'showcase_logo', array(
        'label'       => __('Showcase logo', 'eroshiksavp'),
        'section'     => 'showcase',
        'settings'   =>'showcase_logo',
        'priority'    => 2
      )));


      $wp_customize->add_setting('showcase_login_visible', array(
         'type'               =>  'theme_mod',
         'default'            =>  true,
         'capability'         => 'edit_theme_options',
         'sanitize_callback'  => 'eroshiksavp_sanitize_checkbox'
      ));




      $wp_customize->add_control('showcase_login_visible',array(
         'label'       => __('Primary button visibility', 'eroshiksavp'),
         'type'        => 'checkbox',
         'section'     => 'showcase',
         'priority'    => 3
      ));


       $wp_customize->add_setting('showcase_l_b_text', array(
          'default'            => __('Login','eroshiksavp'),
          'type'               =>  'theme_mod',
          'capability' => 'edit_theme_options',
          'sanitize_callback'  => 'eroshik_savp_sanitize_texts'
       ));

       $wp_customize->add_control('showcase_l_b_text',array(
          'label'       => __('Primary button text', 'eroshiksavp'),
          'section'     => 'showcase',
          'priority'    => 4
       ));

       $wp_customize->add_setting('showcase_l_b_url', array(
          'default'            => esc_url('http://example.com'),
          'type'               =>  'theme_mod',
          'capability' => 'edit_theme_options',
          'sanitize_callback'  => 'eroshik_savp_sanitize_texts'
       ));

       $wp_customize->add_control('showcase_l_b_url',array(
          'label'       => __('Primary button url', 'eroshiksavp'),
          'section'     => 'showcase',
          'priority'    => 5
       ));


       $wp_customize->add_setting('showcase_l_b_color', array(
         'type'               =>  'theme_mod',
         'default'            =>  '#000000',
         'sanitize_callback'  => 'eroshiksavp_sanitize_hex_color'
       ));

       $wp_customize->add_control(
           new WP_Customize_Color_Control( $wp_customize, 'showcase_l_b_color',
           array(
             'label' => __( 'Primary button background color', 'eroshiksavp' ),
             'description' => __( 'Select a color','eroshiksavp'),
             'section' => 'showcase',
             'priority'    => 6
        )));


        $wp_customize->add_setting('showcase_l_b_text_color', array(
          'type'               =>  'theme_mod',
          'default'            =>  '#FFFFFF',
          'sanitize_callback'  => 'eroshiksavp_sanitize_hex_color'
        ));

        $wp_customize->add_control(
            new WP_Customize_Color_Control( $wp_customize, 'showcase_l_b_text_color',
            array(
              'label' => __( 'Primary button text color', 'eroshiksavp' ),
              'description' => __( 'Select a color','eroshiksavp'),
              'section' => 'showcase',
              'priority'    => 7
         )));


         $wp_customize->add_setting('showcase_signup_visible', array(
            'type'               =>  'theme_mod',
            'default'            =>  true,
            'capability'         => 'edit_theme_options',
            'sanitize_callback'  => 'eroshiksavp_sanitize_checkbox'
         ));

         $wp_customize->add_control('showcase_signup_visible',array(
            'label'       => __('Secondary button visibility', 'eroshiksavp'),
            'type'        => 'checkbox',
            'section'     => 'showcase',
            'priority'    => 8
         ));

       $wp_customize->add_setting('showcase_s_b_text', array(
          'default'            => __('Signup','eroshiksavp'),
          'type'               =>  'theme_mod',
          'capability' => 'edit_theme_options',
          'sanitize_callback'  => 'eroshik_savp_sanitize_texts'
       ));

       $wp_customize->add_control('showcase_s_b_text',array(
          'label'       => __('Secondary button text', 'eroshiksavp'),
          'section'     => 'showcase',
          'priority'    => 9
       ));

       $wp_customize->add_setting('showcase_s_b_url', array(
          'default'            => esc_url('http://example.com'),
          'type'               =>  'theme_mod',
          'capability' => 'edit_theme_options',
          'sanitize_callback'  => 'eroshik_savp_sanitize_texts'
       ));

       $wp_customize->add_control('showcase_s_b_url',array(
          'label'       => __('Secondary button url', 'eroshiksavp'),
          'section'     => 'showcase',
          'priority'    => 10
       ));



         $wp_customize->add_setting('showcase_signup_visible', array(
            'type'               =>  'theme_mod',
            'default'            =>  true,
            'capability'         => 'edit_theme_options',
            'sanitize_callback'  => 'eroshiksavp_sanitize_checkbox'
         ));

         $wp_customize->add_control('showcase_signup_visible',array(
            'label'       => __('Secondary button visibility', 'eroshiksavp'),
            'type'        => 'checkbox',
            'section'     => 'showcase',
            'priority'    => 11
         ));

       $wp_customize->add_setting('showcase_s_b_text', array(
          'default'            => __('Signup','eroshiksavp'),
          'type'               =>  'theme_mod',
          'capability' => 'edit_theme_options',
          'sanitize_callback'  => 'eroshik_savp_sanitize_texts'
       ));

       $wp_customize->add_control('showcase_s_b_text',array(
          'label'       => __('Secondary button text', 'eroshiksavp'),
          'section'     => 'showcase',
          'priority'    => 12
       ));

       $wp_customize->add_setting('showcase_s_b_url', array(
          'default'            => esc_url('http://example.com'),
          'type'               =>  'theme_mod',
          'capability' => 'edit_theme_options',
          'sanitize_callback'  => 'eroshik_savp_sanitize_texts'
       ));

       $wp_customize->add_control('showcase_s_b_url',array(
          'label'       => __('Secondary button url', 'eroshiksavp'),
          'section'     => 'showcase',
          'priority'    => 13
       ));


       $wp_customize->add_setting('showcase_s_b_color', array(
         'type'               =>  'theme_mod',
         'default'            =>  '#000000',
         'sanitize_callback'  => 'eroshiksavp_sanitize_hex_color'
       ));

       $wp_customize->add_control(
           new WP_Customize_Color_Control( $wp_customize, 'showcase_s_b_color',
           array(
             'label' => __( 'Secondary button background color', 'eroshiksavp' ),
             'description' => __( 'Select a color','eroshiksavp'),
             'section' => 'showcase',
             'priority'    => 14
        )));

       $wp_customize->add_setting('showcase_s_b_text_color', array(
         'type'               =>  'theme_mod',
         'default'            =>  '#FFFFFF',
         'sanitize_callback'  => 'eroshiksavp_sanitize_hex_color'
       ));

       $wp_customize->add_control(
           new WP_Customize_Color_Control( $wp_customize, 'showcase_s_b_text_color',
           array(
             'label' => __( 'Secondary button text color', 'eroshiksavp' ),
             'description' => __( 'Select a color','eroshiksavp'),
             'section' => 'showcase',
             'priority'    => 15
        )));

     //end of showcase options

     //top and menu bar options
     $wp_customize->add_section('top_menu_bar',array(
       'title'              => __('Top & Menu Bar', 'eroshiksavp'),
       'description'        => __('Options for top & menu bar','eroshiksavp'),
       'priority'           => 133
     ));



     $wp_customize->add_setting('top_bar_bg', array(
       'type'               =>  'theme_mod',
       'default'            =>  '#FFF',
       'sanitize_callback'  => 'eroshiksavp_sanitize_hex_color'
     ));

     $wp_customize->add_control(
         new WP_Customize_Color_Control( $wp_customize, 'top_bar_bg',
         array(
           'label' => __( 'Top bar background color', 'eroshiksavp' ),
           'description' => __( 'Select a color','eroshiksavp'),
           'section' => 'top_menu_bar',
           'priority'    => 1
      )));


      $wp_customize->add_setting('menu_bar_bg', array(
        'type'               =>  'theme_mod',
        'default'            =>  '#FFFFFF',
        'sanitize_callback'  => 'eroshiksavp_sanitize_hex_color'
      ));

      $wp_customize->add_control(
          new WP_Customize_Color_Control( $wp_customize, 'menu_bar_bg',
          array(
            'label' => __( 'Menu bar background color', 'eroshiksavp' ),
            'description' => __( 'Select a color','eroshiksavp'),
            'section' => 'top_menu_bar',
            'priority'    => 2
       )));


       $wp_customize->add_setting('menu_color', array(
         'type'               =>  'theme_mod',
         'default'            =>  '#000000',
         'sanitize_callback'  => 'eroshiksavp_sanitize_hex_color'
       ));

       $wp_customize->add_control(
           new WP_Customize_Color_Control( $wp_customize, 'menu_color',
           array(
             'label' => __( 'Menu  color', 'eroshiksavp' ),
             'description' => __( 'Select a color','eroshiksavp'),
             'section' => 'top_menu_bar',
             'priority'    => 3
        )));




        $wp_customize->add_setting('menu_color_active', array(
          'type'               =>  'theme_mod',
          'default'            =>  '#02acac',
          'sanitize_callback'  => 'eroshiksavp_sanitize_hex_color'
        ));

        $wp_customize->add_control(
            new WP_Customize_Color_Control( $wp_customize, 'menu_color_active',
            array(
              'label' => __( 'Menu  active-hover color', 'eroshiksavp' ),
              'description' => __( 'Select a color','eroshiksavp'),
              'section' => 'top_menu_bar',
              'priority'    => 4
         )));


     $wp_customize->add_setting('top_bar_visibility', array(
        'type'               =>  'theme_mod',
        'default'            =>  true,
        'capability'         => 'edit_theme_options',
        'sanitize_callback'  => 'eroshiksavp_sanitize_checkbox'
     ));

     $wp_customize->add_control('top_bar_visibility',array(
        'label'       => __('Top bar visibility', 'eroshiksavp'),
        'type'        => 'checkbox',
        'section'     => 'top_menu_bar',
        'priority'    => 5
     ));

     $wp_customize->add_setting('social_icons_visibility', array(
        'type'               =>  'theme_mod',
        'default'            =>  true,
        'capability'         => 'edit_theme_options',
        'sanitize_callback'  => 'eroshiksavp_sanitize_checkbox'
     ));

     $wp_customize->add_control('social_icons_visibility',array(
        'label'       => __('Social icons visibility', 'eroshiksavp'),
        'type'        => 'checkbox',
        'section'     => 'top_menu_bar',
        'priority'    => 6
     ));

     $wp_customize->add_setting('top_bar_button_v', array(
        'type'               =>  'theme_mod',
        'default'            =>  true,
        'capability'         => 'edit_theme_options',
        'sanitize_callback'  => 'eroshiksavp_sanitize_checkbox'
     ));

     $wp_customize->add_control('top_bar_button_v',array(
        'label'       => __('Top bar button visibility', 'eroshiksavp'),
        'type'        => 'checkbox',
        'section'     => 'top_menu_bar',
        'priority'    => 7
     ));

     $wp_customize->add_setting('menu_bar_v', array(
        'type'               =>  'theme_mod',
        'default'            =>  true,
        'capability'         => 'edit_theme_options',
        'sanitize_callback'  => 'eroshiksavp_sanitize_checkbox'
     ));

     $wp_customize->add_control('menu_bar_v',array(
        'label'       => __('Menu bar button visibility', 'eroshiksavp'),
        'type'        => 'checkbox',
        'section'     => 'top_menu_bar',
        'priority'    => 8
     ));

     $wp_customize->add_setting('phone_number', array(
        'default'            => __('000-000-100-0','eroshiksavp'),
        'type'               =>  'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback'  => 'eroshik_savp_sanitize_texts'
     ));

     $wp_customize->add_control('phone_number',array(
        'label'       => __('Phone number', 'eroshiksavp'),
        'section'     => 'top_menu_bar',
        'priority'    => 9
     ));


     $wp_customize->add_setting('email', array(
        'type'               =>  'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback'  => 'eroshik_savp_sanitize_texts'
     ));

     $wp_customize->add_control('email',array(
        'default'            => 'youremail@example.com',
        'label'       => __('Email', 'eroshiksavp'),
        'section'     => 'top_menu_bar',
        'priority'    => 10
     ));


     $wp_customize->add_setting('facebook_handler', array(
        'default'           =>'#',
        'type'               =>  'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback'  => 'eroshik_savp_sanitize_texts'
     ));

     $wp_customize->add_control('facebook_handler',array(
        'label'       => __('Facebook handler (Full Url)', 'eroshiksavp'),
        'section'     => 'top_menu_bar',
        'priority'    => 11
     ));

     $wp_customize->add_setting('twitter_handler', array(
        'default'           =>'#',
        'type'               =>  'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback'  => 'eroshik_savp_sanitize_texts'
     ));

     $wp_customize->add_control('twitter_handler',array(
        'label'       => __('Twitter handler (Full Url)', 'eroshiksavp'),
        'section'     => 'top_menu_bar',
        'priority'    => 12
     ));

     $wp_customize->add_setting('linkedin_handler', array(
        'default'           =>'#',
        'type'               =>  'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback'  => 'eroshik_savp_sanitize_texts'
     ));

     $wp_customize->add_control('linkedin_handler',array(
        'label'       => __('Linkedin handler (Full Url)', 'eroshiksavp'),
        'section'     => 'top_menu_bar',
        'priority'    => 13
     ));

     $wp_customize->add_setting('youtube_handler', array(
        'default'           =>'#',
        'type'               =>  'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback'  => 'eroshik_savp_sanitize_texts'
     ));

     $wp_customize->add_control('youtube_handler',array(
        'label'       => __('Youtube handler (Full Url)', 'eroshiksavp'),
        'section'     => 'top_menu_bar',
        'priority'    => 14
     ));

     $wp_customize->add_setting('instagram_handler', array(
        'default'           =>'#',
        'type'               =>  'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback'  => 'eroshik_savp_sanitize_texts'
     ));

     $wp_customize->add_control('instagram_handler',array(
        'label'       => __('Instagram handler (Full Url)', 'eroshiksavp'),
        'section'     => 'top_menu_bar',
        'priority'    => 15
     ));

     $wp_customize->add_setting('rss_handler', array(
        'default'           =>'#',
        'type'               =>  'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback'  => 'eroshik_savp_sanitize_texts'
     ));

     $wp_customize->add_control('rss_handler',array(
        'label'       => __('RSS Feed (Full Url)', 'eroshiksavp'),
        'section'     => 'top_menu_bar',
        'priority'    => 16
     ));

     $wp_customize->add_setting('pinterest_handler', array(
        'default'           =>'#',
        'type'               =>  'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback'  => 'eroshik_savp_sanitize_texts'
     ));

     $wp_customize->add_control('pinterest_handler',array(
        'label'       => __('Pinterest handler (Full Url)', 'eroshiksavp'),
        'section'     => 'top_menu_bar',
        'priority'    => 17
     ));

     $wp_customize->add_setting('google_plus_handler', array(
        'default'           =>'#',
        'type'               =>  'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback'  => 'eroshik_savp_sanitize_texts'
     ));

     $wp_customize->add_control('google_plus_handler',array(
        'label'       => __('Google Plus handler (Full Url)', 'eroshiksavp'),
        'section'     => 'top_menu_bar',
        'priority'    => 18
     ));

     $wp_customize->add_setting('skype_handler', array(
        'default'           =>'#',
        'type'               =>  'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback'  => 'eroshik_savp_sanitize_texts'
     ));

     $wp_customize->add_control('skype_handler',array(
        'label'       => __('Skype handler', 'eroshiksavp'),
        'section'     => 'top_menu_bar',
        'priority'    => 19
     ));


     $wp_customize->add_setting('top_bar_btn_text', array(
        'default'            =>  __('Join now','eroshiksavp'),
        'type'               =>  'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback'  => 'eroshik_savp_sanitize_texts'
     ));

     $wp_customize->add_control('top_bar_btn_text',array(
        'label'       => __('Top bar button text', 'eroshiksavp'),
        'section'     => 'top_menu_bar',
        'priority'    => 20
     ));

     $wp_customize->add_setting('top_bar_btn_link', array(
        'default'            =>  esc_url('http://example.com'),
        'type'               =>  'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback'  => 'eroshik_savp_sanitize_texts'
     ));

     $wp_customize->add_control('top_bar_btn_link',array(
        'label'       => __('Top bar button link', 'eroshiksavp'),
        'section'     => 'top_menu_bar',
        'priority'    => 21
     ));
     //top and menu bar options ends

     //footer
     $wp_customize->add_section('footer',array(
       'title'              => __('Footer', 'eroshiksavp'),
       'description'        =>   __('Options for footer','eroshiksavp'),
       'priority'           => 134
     ));

     $wp_customize->add_setting('footer_bg', array(
       'type'               =>  'theme_mod',
       'default'            =>  '#FFFFFF',
       'sanitize_callback'  => 'eroshiksavp_sanitize_hex_color'
     ));

     $wp_customize->add_control(
         new WP_Customize_Color_Control( $wp_customize, 'footer_bg',
         array(
           'label' => __( 'Footer background  color', 'eroshiksavp' ),
           'description' => __( 'Select a color','eroshiksavp'),
           'section' => 'footer',
           'priority'    => 1
      )));


      $wp_customize->add_setting('footer_text_color', array(
        'type'               =>  'theme_mod',
        'default'            =>  '#000000',
        'sanitize_callback'  => 'eroshiksavp_sanitize_hex_color'
      ));

      $wp_customize->add_control(
          new WP_Customize_Color_Control( $wp_customize, 'footer_text_color',
          array(
            'label' => __( 'Footer text  color', 'eroshiksavp' ),
            'description' => __( 'Select a color','eroshiksavp'),
            'section' => 'footer',
            'priority'    => 2
       )));

       $wp_customize->add_setting('footer_copy_right_bg', array(
         'type'               =>  'theme_mod',
         'default'            =>  '#FFFFFF',
         'sanitize_callback'  => 'eroshiksavp_sanitize_hex_color'
       ));

       $wp_customize->add_control(
           new WP_Customize_Color_Control( $wp_customize, 'footer_copy_right_bg',
           array(
             'label' => __( 'Footer copyright background color', 'eroshiksavp' ),
             'description' => __( 'Select a color','eroshiksavp'),
             'section' => 'footer',
             'priority'    => 3
        )));


        $wp_customize->add_setting('footer_copy_right_t_color', array(
          'type'               =>  'theme_mod',
          'default'            =>  '#000000',
          'sanitize_callback'  => 'eroshiksavp_sanitize_hex_color'
        ));

        $wp_customize->add_control(
            new WP_Customize_Color_Control( $wp_customize, 'footer_copy_right_t_color',
            array(
              'label' => __( 'Footer copyright text color', 'eroshiksavp' ),
              'description' => __( 'Select a color','eroshiksavp'),
              'section' => 'footer',
              'priority'    => 4
         )));

         $wp_customize->add_setting('footer_copy_right_text', array(
            'default'            =>  'Copyright',
            'type'               =>  'theme_mod',
            'capability' => 'edit_theme_options',
            'sanitize_callback'  => 'eroshik_savp_sanitize_texts'
         ));

         $wp_customize->add_control('footer_copy_right_text',array(
            'label'       => __('Footer copyright text', 'eroshiksavp'),
            'section'     => 'footer',
            'priority'    => 5
         ));


         $wp_customize->add_setting('footer_text_align', array(
            'type'               =>  'theme_mod',
            'default'            =>  'c',
            'capability'         => 'edit_theme_options',
            'sanitize_callback'  => 'eroshiksavp_sanitize_radio'
         ));

         $wp_customize->add_control('footer_text_align',array(
            'label'       => __('Footer text alignment', 'eroshiksavp'),
            'type'        => 'radio',
            'section'     => 'footer',
            'priority'    => 6,
            'choices'     => array('l'=>__('Left','eroshiksavp'),'r'=>__('Right','eroshiksavp'),'c'=>__('Center','eroshiksavp'))
         ));


         $wp_customize->add_setting('footer_columns', array(
            'type'               =>  'theme_mod',
            'default'            =>  '4',
            'capability'         => 'edit_theme_options',
            'sanitize_callback'  => 'eroshiksavp_sanitize_radio'
         ));

         $wp_customize->add_control('footer_columns',array(
            'label'       => __('Footer columns', 'eroshiksavp'),
            'type'        => 'radio',
            'section'     => 'footer',
            'priority'    => 7,
            'choices'     => array('1'=>__('One','eroshiksavp'),'2'=>__('Two','eroshiksavp'),'3'=>__('Three','eroshiksavp'),'4'=>__('Four','eroshiksavp'))
         ));
     //footer ends

   }//function ends
 }//functions exist ends
 add_action('customize_register', 'eroshik_savp_cr');

 //sanatize text fields
 if ( ! function_exists( 'eroshik_savp_sanitize_texts' ) ) {
     function eroshik_savp_sanitize_texts($string_input){
       $string_output=sanitize_text_field($string_input);
       return $string_output;
     }
   }

 if ( ! function_exists( 'eroshiksavp_sanitize_checkbox' ) ) {
      function eroshiksavp_sanitize_checkbox( $checked ) {
      // Boolean check.
      return ( ( isset( $checked ) && true == $checked ) ? true : false );
      }
   }

   if ( ! function_exists( 'eroshiksavp_sanitize_radio' ) ) {
        function eroshiksavp_sanitize_radio( $input, $setting ) {
            // Ensure input is a slug.
            $input = sanitize_key( $input );
            // Get list of choices from the control associated with the setting.
            $choices = $setting->manager->get_control( $setting->id )->choices;
            // If the input is a valid key, return it; otherwise, return the default.
            return ( array_key_exists( $input, $choices ) ? $input : $setting->default );
        }
    }

   if ( ! function_exists( 'eroshiksavp_sanitize_hex_color' ) ) {
        function eroshiksavp_sanitize_hex_color( $hex_color, $setting ) {
          // Sanitize $input as a hex value without the hash prefix.
          $hex_color = sanitize_hex_color( $hex_color );
          // If $input is a valid hex value, return it; otherwise, return the default.
          return ( ! empty( $hex_color ) ? $hex_color : $setting->default );
        }
     }
?>
